Subject: Two queries - flex, and no-cygwin linking with msvcrt.dll
From: "Cliff Hones" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 9 Oct 2000 17:45:31 +0100

I have two unconnected queries:

The version of flex currently distributed with Cygwin
identifies itself as Cygnus version 2.5-cygwin-990830,
but appears to have been built from sources pre-dating
the current flex source which is version 2.5.4a, dated
September 1996.  When I try to use flex during a build
of bochs (the x86 simulator) I have problems with the
Cygwin version, while if I rebuild flex (under Cygwin)
from the 2.5.4a sources all is well.  Is there any
reason why the Cygwin binary version is out of date?

Is it possible to link with msvcrt.dll (rather than
crtsdll.dll) when using -mno-cygwin?  I see there is
a libmsvcrt.a included in the cygwin mingw distribution,
but the crt1.o startup requires crtdll.dll, and I
am wary of linking an application including parts from
both.  The gcc-2.95.2-mingw-extra distibution only
includes the crtdll.dll version, and the mingw runtime
source distribution (source-2000-03-27.zip) seems to only
build the crtdll flavour for cygwin.  Is there a good
reason for this, or could the mingw runtime makefile be
extended in the 'obvious' way to build a msvcrt version?

--
Cliff Hones
Aonix Europe Ltd.

--
Want to unsubscribe from this list?
Send a message to [email-masked]